<?php

function tib_gradio_register_blocks() {
    $blocks = [
        'gradio-block' => 'render_gradio_block',
    ];

    foreach ( $blocks as $dir => $render_callback ) {
        $args = [];

        if( !empty( $render_callback ) ) {
            $args['render_callback'] = $render_callback;
        }

        register_block_type( __DIR__ . '/build/' . $dir, $args );
    }
}

add_action('init', 'tib_gradio_register_blocks');

function render_gradio_block( $attributes ) {
    $version = $attributes['version']; //'3.39.0'
    $link =  $attributes['link']; //'https://hysts-sd-xl.hf.space'

    $str = '<div class="tbit-embed-ai-main"><script type="module" src="https://gradio.s3-us-west-2.amazonaws.com/' . $version . '/gradio.js"></script><gradio-app src="' . $link . '"></gradio-app><div class="tbit-canvas-panel"></div></div>';
	
	if (function_exists("BorlabsCookieHelper")) {
		//$content_blocker_data = BorlabsCookieHelper()->getContentBlockerData($this->plugin_name);
		$str = do_shortcode('[borlabs-cookie id="tbit-embed-ai" type="content-blocker"]' . $str . '[/borlabs-cookie]');
	}

    return $str;
}