<?php
defined( 'ABSPATH' ) or die ( "you do not have access to this page!" );

require_once TBit_GRADIO_PATH . 'includes/class-tbit-gradio.php';

/**
* Add a script to the blocked list
* @param array $tags
*
* @return array
*/
function cmplz_tbit_embed_ai_script( $tags ) {
	$plugin = new TBit_Gradio($run_loaders_and_hooks = false);
	
	$tags[] = array(
		'name' => $plugin->get_plugin_name(),
	 	'category' => 'marketing',
	 	'urls' => $plugin->get_default_hosts(),
	 	'enable_placeholder' => '1',
	 	'placeholder' => 'tbit',
	 	'placeholder_class' => 'tbit-canvas-panel',
	 	'enable_dependency' => '0',
	);

  return $tags;
}
add_filter( 'cmplz_known_script_tags', 'cmplz_tbit_embed_ai_script' );

/**
* Declare a placeholder
* @param string $new_src
* @param string $src
*
* @return mixed|string
*/
function cmplz_tbit_embed_ai_placeholder( $new_src, $src ) {
    //path to custom placeholder
	$new_src = TBit_GRADIO_URL . 'assets/images/placeholders/default-minimal.png';
    return $new_src;
}

add_filter( 'cmplz_placeholder_tbit', 'cmplz_tbit_embed_ai_placeholder', 10, 2 );

/**
* Add some custom css for the placeholder
*/
function cmplz_tbit_embed_ai_css() {
  ?>
     .tbit-emed-ai-main .cmplz-placeholder-element {
        height: 300px;
        width: 100%;
     }
  <?php
}
add_action( 'cmplz_banner_css', 'cmplz_tbit_embed_ai_css' );


/**
* Add services to the list of detected items, so it will get set as default, and will be added to the notice about it
*
* @param $services
*
* @return array
*/
function cmplz_tbit_embed_ai_detected_services( $services ) {

  if ( ! in_array( 'tbit-embed-ai', $services ) ) {
     $services[] = 'tbit-embed-ai';
  }

  return $services;
}

add_filter( 'cmplz_detected_services', 'cmplz_tbit_embed_ai_detected_services' );



?>